import express from "express";
import { createTransaction, getAllTransactions, getTransactionById, updateTransaction, deleteTransaction } from "../controllers/StocktransactionController.js";
import protect from "../middlware/auth.js";

const router = express.Router();


router.post("/",protect, createTransaction);
router.get("/", protect,getAllTransactions);
router.get("/:id",protect, getTransactionById);
router.put("/:id", protect,updateTransaction);
router.delete("/:id",protect, deleteTransaction);

export default router;
